summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author PaulKinsler2019-07-07 23:58:37 +0200
committer Willy Sudiarto Raharjo2019-07-07 23:58:37 +0200
commit99c50bb58ee300c216e6ed9f32f9bef2d4cc39b2 (patch)
tree6950706675cd62c2199c41f109b0aebd1eb87fa6 /libraries
parente03adb1258b363f8bbe4d224846675c03f6f5623 (diff)
downloadslackbuilds-99c50bb58ee300c216e6ed9f32f9bef2d4cc39b2.tar.gz
libraries/libmatheval: Added (numerical/mathematical library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libmatheval/README8
-rw-r--r--libraries/libmatheval/libmatheval.SlackBuild114
-rw-r--r--libraries/libmatheval/libmatheval.info12
-rw-r--r--libraries/libmatheval/slack-desc19
4 files changed, 153 insertions, 0 deletions
diff --git a/libraries/libmatheval/README b/libraries/libmatheval/README
new file mode 100644
index 0000000000..fbb792bd31
--- /dev/null
+++ b/libraries/libmatheval/README
@@ -0,0 +1,8 @@
+GNU libmatheval enables the evaluation of string representations
+of mathematical functions of single or multiple variables. It
+has both C and Fortran 77 interfaces. In particular, it enhances
+the capabilities of the h5utils software.
+
+This Slackbuild includes a patch sourced from aur.archlinux.org,
+the version here is from github.com/easybuilders because it is
+prefixed by a useful short comment.
diff --git a/libraries/libmatheval/libmatheval.SlackBuild b/libraries/libmatheval/libmatheval.SlackBuild
new file mode 100644
index 0000000000..7da48c848c
--- /dev/null
+++ b/libraries/libmatheval/libmatheval.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/sh
+
+# Slackware build script for libmatheval
+
+# Copyright 2019 Paul Kinsler, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libmatheval
+VERSION=${VERSION:-1.1.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# change annoying underscores into hyphens
+SVERSION=$(echo $VERSION | tr '_' '-')
+# make a custom list of doc files in advance
+DOCFILES="AUTHORS COPYING INSTALL README THANKS"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SVERSION
+tar xvf $CWD/$PRGNAM-$SVERSION.tar.gz
+cd $PRGNAM-$SVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < ${CWD}/libmatheval-1.1.11_fix-matheval-test.patch
+
+
+# if there is no configure script, try to build one!
+if [ ! -f ./configure ] ; then
+ ./autogen.sh
+fi
+
+LOCALCONFIGS="--enable-shared"
+
+CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-static=no \
+ $LOCALCONFIGS
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -rf $PKG/usr/share/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+install -m 0644 $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libmatheval/libmatheval.info b/libraries/libmatheval/libmatheval.info
new file mode 100644
index 0000000000..bd41c5abec
--- /dev/null
+++ b/libraries/libmatheval/libmatheval.info
@@ -0,0 +1,12 @@
+PRGNAM="libmatheval"
+VERSION="1.1.11"
+HOMEPAGE="https://www.gnu.org/software/libmatheval/"
+DOWNLOAD="http://ftp.gnu.org/gnu/libmatheval/libmatheval-1.1.11.tar.gz \
+https://github.com/easybuilders/easybuild-easyconfigs/raw/master/easybuild/easyconfigs/l/libmatheval/libmatheval-1.1.11_fix-matheval-test.patch"
+MD5SUM="595420ea60f6ddd75623847f46ca45c4 \
+6f7aacbfcbf85920e0a8b275b05ae794"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="PaulKinsler"
+EMAIL="dr.paul@kinsler.org"
diff --git a/libraries/libmatheval/slack-desc b/libraries/libmatheval/slack-desc
new file mode 100644
index 0000000000..53656ef49e
--- /dev/null
+++ b/libraries/libmatheval/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libmatheval: libmatheval (numerical/mathematical evaluation of strings)
+libmatheval:
+libmatheval: This software allows the evaluation of strings representing
+libmatheval: mathematical expressions.
+libmatheval:
+libmatheval: Homepage: https://www.gnu.org/software/libmatheval/
+libmatheval:
+libmatheval:
+libmatheval:
+libmatheval:
+libmatheval: